Image::Info::PPM(3)

NAME
Image::Info::PPM - PPM support Image::Info

SYNOPSIS
 use Image::Info qw(image_info dim);

 my $info = image_info("image.ppm");
 if (my $error = $info->{error}) {
     die "Can't parse image info: $error\n";
 }
 my($w, $h) = dim($info);

DESCRIPTION
This modules adds ppm support to Image::Info.

It is loaded and used automatically.

METHODS

  process_file()
        $info->process_file($source, $options);

Processes one file and sets the found info fields in the $info object.

AUTHOR
Gisle Aas.

LICENSE
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.